org.keycloak.adapters.jetty

## Class KeycloakJettyAuthenticator

- java.lang.Object
- - org.eclipse.jetty.security.authentication.LoginAuthenticator
  - - org.keycloak.adapters.jetty.AbstractKeycloakJettyAuthenticator
    - - org.keycloak.adapters.jetty.KeycloakJettyAuthenticator

- All Implemented Interfaces:
    org.eclipse.jetty.security.Authenticator

      public class KeycloakJettyAuthenticator
      extends AbstractKeycloakJettyAuthenticator

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.adapters.jetty.AbstractKeycloakJettyAuthenticator

      `AbstractKeycloakJettyAuthenticator.KeycloakAuthentication`

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.security.Authenticator

      `org.eclipse.jetty.security.Authenticator.AuthConfiguration, org.eclipse.jetty.security.Authenticator.Factory`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.adapters.jetty.AbstractKeycloakJettyAuthenticator

      `adapterConfig, configResolver, deploymentContext, log, nodesRegistrationManagement, TOKEN_STORE_NOTE`

    - ### Fields inherited from class org.eclipse.jetty.security.authentication.LoginAuthenticator

      `_identityService, _loginService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeycloakJettyAuthenticator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.eclipse.jetty.server.Authentication` | `createAuthentication(org.eclipse.jetty.server.UserIdentity userIdentity)`
    `protected AbstractJettyRequestAuthenticator` | `createRequestAuthenticator(org.eclipse.jetty.server.Request request, JettyHttpFacade facade, KeycloakDeployment deployment, AdapterTokenStore tokenStore)`
    `protected org.eclipse.jetty.server.Request` | `resolveRequest(javax.servlet.ServletRequest req)`

    - ### Methods inherited from class org.keycloak.adapters.jetty.AbstractKeycloakJettyAuthenticator

      `createIdentity, getAdapterConfig, getAuthMethod, getConfigResolver, getTokenStore, initializeKeycloak, logoutCurrent, register, secureResponse, setAdapterConfig, setConfigResolver, setConfiguration, validateRequest`

    - ### Methods inherited from class org.eclipse.jetty.security.authentication.LoginAuthenticator

      `getLoginService, login, prepareRequest, renewSession`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeycloakJettyAuthenticator

          public KeycloakJettyAuthenticator()

  - ### Method Detail

    - #### createRequestAuthenticator

          protected AbstractJettyRequestAuthenticator createRequestAuthenticator(org.eclipse.jetty.server.Request request,
                                                                     JettyHttpFacade facade,
                                                                     KeycloakDeployment deployment,
                                                                     AdapterTokenStore tokenStore)

      Specified by:
        `createRequestAuthenticator` in class `AbstractKeycloakJettyAuthenticator`

    - #### resolveRequest

          protected org.eclipse.jetty.server.Request resolveRequest(javax.servlet.ServletRequest req)

      Specified by:
        `resolveRequest` in class `AbstractKeycloakJettyAuthenticator`

    - #### createAuthentication

          protected org.eclipse.jetty.server.Authentication createAuthentication(org.eclipse.jetty.server.UserIdentity userIdentity)

      Specified by:
        `createAuthentication` in class `AbstractKeycloakJettyAuthenticator`

Copyright © 2014. All Rights Reserved.